POST /runway/v1/pro/aleph
Method: POSTEndpoint: /runway/v1/pro/aleph
Runway Aleph is an advanced contextual video model that pushes multi-task visual generation forward. It can heavily edit input videos by adding, removing, and transforming objects, generating any viewing angle of a scene, and modifying style and lighting.
The output resolution is determined automatically by the API, which matches the closest supported resolution based on the input video. 16:9 — 1280x720 px 9:16 — 720x1280 px 1:1 — 960x960 px 4:3 — 1104x832 px 3:4 — 832x1104 px 21:9 — 1584x672 px
Request Parameters
Header Parameters
text
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}Body Parameters application/json
text
video
string
Required
A video link that can be accessed and downloaded over the public internet. Maximum input file size: 50 MB.
prompt
string
image
Required
Positive text prompt. Cannot exceed 1000 characters.
images
array
[string]
Optional
Optional input image. Only one image is currently supported.
options
object
Required
seconds
integer
Required
Video duration is fixed at 5 seconds.
Example
{
"video"
:
"string"
,
"prompt"
:
"string"
,
"images"
:
[
"string"
]
,
"options"
:
{
"seconds"
:
0
}
}Example Request
Shell
bash
curl --location --request POST '/runway/v1/pro/aleph' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
"video": "string",
"prompt": "string",
"images": [
"string"
],
"options": {
"seconds": 0
}
}'Response
🟢 200 Success
Content Type: application/json
Response Schema
text
objectExample
json
{}